Skip to main content

19) Add/Modify/Delete Document Security Levels

Add/Modify/Delete Document Security Level

API

MethodURL
POST/api/save/customProperties/securityLevel

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
srcFilePathrequiredstringDocument path for adding/modifying/deleting
scLabelIdrequiredstringLabel ID (Enter the label ID you want to specify from the security grade list retrieval API result data)
- When an empty value ("") is entered, the grade information is deleted.

Response

NameTypeDescription
codeint0 : Success
Other values: Error
messagestringError message on failure

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"srcFilePath": "/opt/shieldrm/data/test.xlsx",
"scLabelId": "jPQOgOEa-Ge338ddW-3q4Wyy2S-Qy3w4mm5"
}

Response

  • success
{
"code": 0
}
  • failure
  • Status code : 400 Bad Request
[조회된 보안 등급 리스트에 포함되어 있지 않은 scLabelId일 경우]
{
"code": 40005,
"message": "Invalid scLabelId"
}

  • Status code : 401 Unauthorized
[라이선스 검증 실패]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}